
/* --- IntegralUI Accordion ----------------------------------------------- */

.iui-accordion-header
{
	background: -webkit-linear-gradient(#B1E9B1, #31D928);
	background:    -moz-linear-gradient(#B1E9B1, #31D928);
	background:     -ms-linear-gradient(#B1E9B1, #31D928);
	background:      -o-linear-gradient(#B1E9B1, #31D928);
    background :         linear-gradient(#B1E9B1, #31D928);

	background-color: #31D928;
	border: solid thin #4BA346;
}
.iui-accordion-header-hovered
{
	background: -webkit-linear-gradient(#EAFFEA, #6DEC66);
	background:    -moz-linear-gradient(#EAFFEA, #6DEC66);
	background:     -ms-linear-gradient(#EAFFEA, #6DEC66);
	background:      -o-linear-gradient(#EAFFEA, #6DEC66);
    background :         linear-gradient(#EAFFEA, #6DEC66);

	background-color: #6DEC66;
}
.iui-accordion-header-selected
{
	background: -webkit-linear-gradient(#00CC00, #008500);
	background:    -moz-linear-gradient(#00CC00, #008500);
	background:     -ms-linear-gradient(#00CC00, #008500);
	background:      -o-linear-gradient(#00CC00, #008500);
    background :         linear-gradient(#00CC00, #008500);

	background-color: #008500;
	border-color: #006400;
	color: white;
}

.iui-accordion-content
{
	background: -webkit-linear-gradient(white, #EAFFEA);
	background:    -moz-linear-gradient(white, #EAFFEA);
	background:     -ms-linear-gradient(white, #EAFFEA);
	background:      -o-linear-gradient(white, #EAFFEA);
    background :         linear-gradient(white, #EAFFEA);

	background-color: #EAFFEA;
	border: solid thin #4BA346;
}

.iui-accordion-expand-box
{
	background: url(../../resources/icons.png) no-repeat 0 0;
}
.iui-accordion-expand-box-expanded 
{
	background-position: -80px 0px;
}
.iui-accordion-expand-box-collapsed
{
	background-position: -96px 0px;
}

/* --- IntegralUI Menu ------------------------------------------------------ */

.iui-menu
{
	background-color: white;
    color: black;
}
.iui-menu > ul
{
	background-color: #008500;
}
.iui-menu-item-root
{
	background: none;
	border: solid thin #008500;
	color: white;
}
.iui-menu-item-root-hovered
{
	background: -webkit-linear-gradient(#EAFFEA, #31D928);
	background:    -moz-linear-gradient(#EAFFEA, #31D928);
	background:     -ms-linear-gradient(#EAFFEA, #31D928);
	background:      -o-linear-gradient(#EAFFEA, #31D928);
    background :         linear-gradient(#EAFFEA, #31D928);

	background-color: #31D928;
	border: solid thin #008500;
	color: black;
}
.iui-menu-item-root-hovered a
{
	color: black;
}
.iui-menu-item-hovered
{
	background: -webkit-linear-gradient(white, #EAFFEA);
	background:    -moz-linear-gradient(white, #EAFFEA);
	background:     -ms-linear-gradient(white, #EAFFEA);
	background:      -o-linear-gradient(white, #EAFFEA);
    background :         linear-gradient(white, #EAFFEA);

	background-color: #EAFFEA;
	border: solid thin #BFEFBF !important;
}
.iui-menu-item-selected
{
	background-color: white;
	border: solid thin gray;
}
.iui-menu-item-selected a
{
	color: black;
}
.iui-menu li > ul
{
	background-color: #fefefe;
	border: solid thin #008500;
}
.iui-menu-expand-box
{
	width: 16px;
	height: 16px;
	background: url(../resources/icons.png) no-repeat 0 0;
}
.iui-menu-item-normal
{
	background-color: #fefefe;
	border: solid thin #fefefe;
	color: black;
}
.iui-menu-marker-expand-down::before
{
	border: 4px solid #21C921;
	border-color: #21C921 transparent transparent transparent;
}
.iui-menu-marker-expand-down-rtl::before
{
	border: 4px solid #21C921;
	border-color: #21C921 transparent transparent transparent;
}
.iui-menu-marker-expand-right::before
{
	border: 4px solid #21C921;
	border-color: transparent transparent transparent #21C921;
}
.iui-menu-marker-expand-left::before
{
	border: 4px solid #21C921;
	border-color: transparent #21C921 transparent transparent;
}
.iui-menu-marker-top::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #008500 transparent;
}
.iui-menu-marker-top::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #fefefe transparent;
}
.iui-menu-marker-top-rtl::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #008500 transparent;
}
.iui-menu-marker-top-rtl::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent #fefefe transparent;
}
.iui-menu-marker-left::before
{
	border: 4px solid #fefefe;
	border-color: transparent #008500 transparent transparent;
}
.iui-menu-marker-left::after
{
	border: 4px solid #fefefe;
	border-color: transparent #fefefe transparent transparent;
}
.iui-menu-marker-right::before
{
	border: 4px solid #fefefe;
	border-color: transparent transparent transparent #008500;
}
.iui-menu-marker-right::after
{
	border: 4px solid #fefefe;
	border-color: transparent transparent transparent #fefefe;
}

/* --- IntegralUI SlideBar -------------------------------------------------- */

.iui-slidebar-button
{
	background: url(../../resources/icons.png) no-repeat -144px 0;
}
.iui-slidebar-button-selected
{
	background: url(../../resources/icons.png) no-repeat -160px 0;
}

/* --- IntegralUI TabStrip ----------------------------------------------- */

.iui-tabstrip ul
{
}
.iui-tabstrip-tab-header
{
	background-color: #31D928;
	border: solid thin #4BA346;
	border-bottom-color: gray;
	color: white;
}
.iui-tabstrip-tab-hovered
{
	background: -webkit-linear-gradient(white, #6DEC66);
	background:    -moz-linear-gradient(white, #6DEC66);
	background:     -ms-linear-gradient(white, #6DEC66);
	background:      -o-linear-gradient(white, #6DEC66);
    background :         linear-gradient(white, #6DEC66);

	background-color: #6DEC66;
	border: solid thin gray;
	color: black;
}
.iui-tabstrip-tab-selected
{
	background-color: white;
	border: solid thin gray;
	color: black;
}
.iui-tabstrip-tab-selected-top
{
	border-bottom-color: white;
}
.iui-tabstrip-tab-selected-right
{
	border-left-color: white;
}
.iui-tabstrip-tab-selected-bottom
{
	border-top-color: white;
}
.iui-tabstrip-tab-selected-left
{
	border-right-color: white;
}
.iui-tabstrip-tab-content
{
	background: white;
	border-color: gray;
}
.iui-tabstrip-tab-content-disabled
{
	background: #f5f5f5;
	color: gray;
}
.iui-tabstrip-nav-buttons span:hover
{
	background-color: white;
	border: thin solid gray;
	border-radius: 3px;
}

/* --- IntegralUI TreeGrid ----------------------------------------------- */
.iui-treegrid
{
	background-color: white;
	border-color: #dadada;
    color: black;
}
.iui-treegrid-header-hovered
{
	background: -webkit-linear-gradient(white, #9dff9d);
	background:    -moz-linear-gradient(white, #9dff9d);
	background:     -ms-linear-gradient(white, #9dff9d);
	background:      -o-linear-gradient(white, #9dff9d);
    background :         linear-gradient(white, #9dff9d);

	background-color: #9dff9d;
	border-color: #71ff71;
}
.iui-treegrid-header-selected
{
	background: -webkit-linear-gradient(white, #28ff28);
	background:    -moz-linear-gradient(white, #28ff28);
	background:     -ms-linear-gradient(white, #28ff28);
	background:      -o-linear-gradient(white, #28ff28);
    background :         linear-gradient(white, #28ff28);

	background-color: #28ff28;
	border-color: #00dd00;
}
.iui-treegrid-column-cell-selected
{
	background-color: #f9fff9;
}
.iui-treegrid-row-hovered, .iui-treegrid-cell-hovered
{
	background: -webkit-linear-gradient(white, #ceffce);
	background:    -moz-linear-gradient(white, #ceffce);
	background:     -ms-linear-gradient(white, #ceffce);
	background:      -o-linear-gradient(white, #ceffce);
    background :         linear-gradient(white, #ceffce);

	background-color: #ceffce;
}

.iui-treegrid-row-selected, .iui-treegrid-cell-selected
{
	background: -webkit-linear-gradient(#e8ffe8, #a4ffa4);
	background:    -moz-linear-gradient(#e8ffe8, #a4ffa4);
	background:     -ms-linear-gradient(#e8ffe8, #a4ffa4);
	background:      -o-linear-gradient(#e8ffe8, #a4ffa4);
    background :         linear-gradient(#e8ffe8, #a4ffa4);

	background-color: #a4ffa4;
}
.iui-treegrid-cell:first-child
{
	border-left: thin solid #d5d5d5;
}
.iui-treegrid-cell:last-child
{
	border-right: thin solid #d5d5d5;
}
.iui-treegrid-lines-horizontal
{
	border-bottom: thin solid #d5d5d5;
}
.iui-treegrid-lines-vertical
{
	border-right: thin solid #d5d5d5;
}
.iui-treegrid-lines-both
{
	border-right: thin solid #d5d5d5;
	border-bottom: thin solid #d5d5d5;
}

/* --- IntegralUI TreeView ----------------------------------------------- */
.iui-treeview
{
	background-color: white;
	border-color: #cecece;
    color: black;
}
.iui-treeview-item-content
{
	display: inline-block;
	border: thin solid transparent;
	padding: 0px 3px;
}

.iui-treeview-item-content-hovered
{
	background: -webkit-linear-gradient(white, #EAFFEA);
	background:    -moz-linear-gradient(white, #EAFFEA);
	background:     -ms-linear-gradient(white, #EAFFEA);
	background:      -o-linear-gradient(white, #EAFFEA);
    background :         linear-gradient(white, #EAFFEA);

	background-color: #EAFFEA;
	border: thin solid #D8F3D8;
}

.iui-treeview-item-content-selected
{
	background: -webkit-linear-gradient(#FEFEFE, #B1E9B1);
	background:    -moz-linear-gradient(#FEFEFE, #B1E9B1);
	background:     -ms-linear-gradient(#FEFEFE, #B1E9B1);
	background:      -o-linear-gradient(#FEFEFE, #B1E9B1);
    background :         linear-gradient(#FEFEFE, #B1E9B1);

	background-color: #B1E9B1;
	border: thin solid #9CE29C;
}